Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.orm.castor
Class SignTypeSequence2

    java.lang.Object
      org.kemet.orm.castor.SignTypeSequence2

All Implemented Interfaces:
  java.io.Serializable

    public class SignTypeSequence2

extends java.lang.Object
implements java.io.Serializable

Class SignTypeSequence2.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`SignTypeSequence2()`

Method Summary
`void` | `addSuffixPronoun(int index, SuffixPronoun vSuffixPronoun)`
`void` | `addSuffixPronoun(SuffixPronoun vSuffixPronoun)`
`java.util.Enumeration` | `enumerateSuffixPronoun()` Method enumerateSuffixPronoun.
`SuffixPronoun[]` | `getSuffixPronoun()` Method getSuffixPronoun.Returns the contents of the collection in an Array.
`SuffixPronoun` | `getSuffixPronoun(int index)` Method getSuffixPronoun.
`int` | `getSuffixPronounCount()` Method getSuffixPronounCount.
`boolean` | `isValid()` Method isValid.
`java.util.Iterator` | `iterateSuffixPronoun()` Method iterateSuffixPronoun.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllSuffixPronoun()`
`boolean` | `removeSuffixPronoun(SuffixPronoun vSuffixPronoun)` Method removeSuffixPronoun.
`SuffixPronoun` | `removeSuffixPronounAt(int index)` Method removeSuffixPronounAt.
`void` | `setSuffixPronoun(int index, SuffixPronoun vSuffixPronoun)`
`void` | `setSuffixPronoun(SuffixPronoun[] vSuffixPronounArray)`
`static SignTypeSequence2` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignTypeSequence2

    public SignTypeSequence2()

Method Detail

### addSuffixPronoun

    public void addSuffixPronoun(SuffixPronoun vSuffixPronoun)
                          throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vSuffixPronoun` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addSuffixPronoun

    public void addSuffixPronoun(int index,
                                 SuffixPronoun vSuffixPronoun)
                          throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vSuffixPronoun` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### enumerateSuffixPronoun

    public java.util.Enumeration enumerateSuffixPronoun()

  Method enumerateSuffixPronoun.

  Returns:
    an Enumeration over all possible elements of this collection

### getSuffixPronoun

    public SuffixPronoun getSuffixPronoun(int index)
                                   throws java.lang.IndexOutOfBoundsException

  Method getSuffixPronoun.

  Parameters:
    `index` -
  Returns:
    the value of the org.kemet.orm.castor.SuffixPronoun at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getSuffixPronoun

    public SuffixPronoun[] getSuffixPronoun()

  Method getSuffixPronoun.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getSuffixPronounCount

    public int getSuffixPronounCount()

  Method getSuffixPronounCount.

  Returns:
    the size of this collection

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### iterateSuffixPronoun

    public java.util.Iterator iterateSuffixPronoun()

  Method iterateSuffixPronoun.

  Returns:
    an Iterator over all possible elements in this collection

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllSuffixPronoun

    public void removeAllSuffixPronoun()

### removeSuffixPronoun

    public boolean removeSuffixPronoun(SuffixPronoun vSuffixPronoun)

  Method removeSuffixPronoun.

  Parameters:
    `vSuffixPronoun` -
  Returns:
    true if the object was removed from the collection.

### removeSuffixPronounAt

    public SuffixPronoun removeSuffixPronounAt(int index)

  Method removeSuffixPronounAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setSuffixPronoun

    public void setSuffixPronoun(int index,
                                 SuffixPronoun vSuffixPronoun)
                          throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vSuffixPronoun` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setSuffixPronoun

    public void setSuffixPronoun(SuffixPronoun[] vSuffixPronounArray)

  Parameters:
    `vSuffixPronounArray` -

### unmarshal

    public static SignTypeSequence2 unmarshal(java.io.Reader reader)
                                       throws org.exolab.castor.xml.MarshalException,
                                              org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled org.kemet.orm.castor.SignTypeSequence
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.